Description

Look for ways to increase the performance of the read work page through database indexing.

Associated revisions

Revision 298 - 12/28/2012 10:48 PM - Luke Murphey

Added additional database indexing to improve performance. Closes #499.

Revision 298 - 12/28/2012 10:48 PM - Luke Murphey

Added additional database indexing to improve performance. Closes #499.

Revision 290 - 12/28/2012 10:48 PM - Luke Murphey

Added additional database indexing to improve performance. Closes #499.

History

#1 - 12/28/2012 10:33 PM - Luke Murphey
Might want to index:
e Division::descriptor (to improve performance of get_division)
¢ Division::sequence_number (since this is sorted to find the first chapter)
Verse::indicator (since a search is done on this field when a verse is highlighted)
Division::readable_unit (since get_chapter_for_division does a query on this field)

#2 - 12/28/2012 10:47 PM - Luke Murphey

Indexing Division::descriptor improved get_division from about 0.0040 seconds to 0.0025:

create index "reader_division_descriptor" ON "reader_division" ("descriptor")

Indexing the sequence number didn't seem to do too much:

create index "reader_division_sequence_number" ON "reader_division" ("sequence_number")

Indexing readable_unit did seem to improved performance (from 0.012 to 0.004 seconds):

create index "reader_division_readable_unit" ON "reader_division" ("readable_unit")

05/01/2024

1/2




Indexing verse indicators did not seem to do much if anything even for the performance of queries looking for a particular verse:

create index "reader_verse_indicator" ON "reader_verse" ("indicator")

#3 - 12/28/2012 10:48 PM - Luke Murphey
- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset r298.
